## org.apache.portals.bridges.struts.taglib
Class ELFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.FormTag
              org.apache.strutsel.taglib.html.ELFormTag
                  org.apache.portals.bridges.struts.taglib.ELFormTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, Serializable, javax.servlet.jsp.tagext.Tag

public class ELFormTag
extends org.apache.strutsel.taglib.html.ELFormTag

Supports the Struts html-el:form tag to be used within a Portlet context.

Version:
  $Id: ELFormTag.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.strutsel.taglib.html.ELFormTag
``

Fields inherited from class org.apache.struts.taglib.html.FormTag
`acceptCharset, action, beanName, beanScope, beanType, enctype, focus, focusIndex, lineEnd, mapping, messages, method, moduleConfig, onreset, onsubmit, readonly, scriptLanguage, servlet, style, styleClass, styleId, target`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELFormTag()`

Method Summary
`protected String` `renderFormStartElement()` Modifies the default generated form action url to be a valid Portlet ActionURL when in the context of a `PortletRequest`.

Methods inherited from class org.apache.strutsel.taglib.html.ELFormTag

`doStartTag, getAcceptCharsetExpr, getActionExpr, getDisabledExpr, getEnctypeExpr, getFocusExpr, getFocusIndexExpr, getMethodExpr, getOnresetExpr, getOnsubmitExpr, getReadonlyExpr, getScriptLanguageExpr, getStyleClassExpr, getStyleExpr, getStyleIdExpr, getTargetExpr, release, setAcceptCharsetExpr, setActionExpr, setDisabledExpr, setEnctypeExpr, setFocusExpr, setFocusIndexExpr, setMethodExpr, setOnresetExpr, setOnsubmitExpr, setReadonlyExpr, setScriptLanguageExpr, setStyleClassExpr, setStyleExpr, setStyleIdExpr, setTargetExpr`

Methods inherited from class org.apache.struts.taglib.html.FormTag

`doEndTag, getAcceptCharset, getAction, getBeanName, getEnctype, getFocus, getFocusIndex, getMethod, getOnreset, getOnsubmit, getScriptLanguage, getStyle, getStyleClass, getStyleId, getTarget, initFormBean, isDisabled, isReadonly, lookup, renderAction, renderAttribute, renderFocusJavascript, renderName, renderOtherAttributes, renderToken, setAcceptCharset, setAction, setDisabled, setEnctype, setFocus, setFocusIndex, setMethod, setOnreset, setOnsubmit, setReadonly, setScriptLanguage, setStyle, setStyleClass, setStyleId, setTarget`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELFormTag

    public ELFormTag()

Method Detail

### renderFormStartElement

    protected String renderFormStartElement()

  Modifies the default generated form action url to be a valid Portlet ActionURL when in the context of a `PortletRequest`.

  Returns:
    the formStartElement

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.